about summary refs log tree commit diff
diff options
context:
space:
mode:
authoraarnav <aarnavbos@gmail.com>2024-08-13 16:40:52 +0200
committeraarnav <aarnavbos@gmail.com>2024-08-13 16:54:53 +0200
commit7b2f983bf3d9f7854891eda5692a3cf8afdf1650 (patch)
tree2573a1f1433de7688cbcc1ac3f334aa35c2128d4
parentdb23931e7c1727ddac8691a6241c97b2203ec6fc (diff)
downloadafl++-7b2f983bf3d9f7854891eda5692a3cf8afdf1650.tar.gz
fix unicorn and unicornafl build script
-rwxr-xr-xunicorn_mode/build_unicorn_support.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/unicorn_mode/build_unicorn_support.sh b/unicorn_mode/build_unicorn_support.sh
index 097a2dc9..68f7eac2 100755
--- a/unicorn_mode/build_unicorn_support.sh
+++ b/unicorn_mode/build_unicorn_support.sh
@@ -203,20 +203,20 @@ $PYTHONBIN -m pip install --help 2>/dev/null | grep -q break-system-packages &&
 cd unicorn/bindings/python || exit 1
 if [ -z "$VIRTUAL_ENV" ]; then
   echo "[*] Info: Installing python unicornafl using --user"
-  THREADS=$CORES $PYTHONBIN -m pip install --user $XOPT --force .|| exit 1
+  THREADS=$CORES $PYTHONBIN setup.py install --user $XOPT --force || exit 1
 else
   echo "[*] Info: Installing python unicornafl to virtualenv: $VIRTUAL_ENV"
-  THREADS=$CORES $PYTHONBIN -m pip install --force .|| exit 1
+  THREADS=$CORES $PYTHONBIN setup.py install --force || exit 1
 fi
 cd ../../../
 echo "[*] Installing Unicornafl python bindings..."
 cd bindings/python || exit 1
 if [ -z "$VIRTUAL_ENV" ]; then
   echo "[*] Info: Installing python unicornafl using --user"
-  THREADS=$CORES $PYTHONBIN -m pip install --user $XOPT --force .|| exit 1
+  THREADS=$CORES $PYTHONBIN setup.py install --user $XOPT --force || exit 1
 else
   echo "[*] Info: Installing python unicornafl to virtualenv: $VIRTUAL_ENV"
-  THREADS=$CORES $PYTHONBIN -m pip install --force .|| exit 1
+  THREADS=$CORES $PYTHONBIN setup.py install --force || exit 1
 fi
 echo '[*] If needed, you can (re)install the bindings in `./unicornafl/bindings/python` using `pip install --force .`'